// Dimmer
// mostly 'borrowed' from the Arduino example


#include "libACW001.h"

// Use a pin with PWM
int ledPin = 9;

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}
 

void setup()
{
  // begin the serial communication
  //Serial.begin(9600);
  serialBegin(9600);
  pinMode(ledPin, OUTPUT);
}

void loop()
{
  byte val;
  
  // check if data has been sent from the computer
  //if (Serial.available()) {
  if (serialAvailable()) {
    // read the most recent byte (which will be from 0 to 255)
    //val = Serial.read();
    val = serialRead();
    // set the brightness of the LED
    analogWrite(ledPin, val);
  }
}

