// ASCII Table - ACW
// Joe Pardue April 10, 2009
// This program outputs an ASCII Table to 
// a PC Terminal.

#include "libACW001.h"

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

void setup() 
{ 

  //Serial.begin(9600); //TAW
  serialBegin(9600); 

  // prints title with ending line break 
  // Serial.println("ASCII Table ~ Character Map"); //TAW
  printf("ASCII Table ~ Character Map\n"); 
 
  // wait for the long string to be sent 
  delay(100); 

}

// first visible character '!' is #33
int number = 33;  

void loop() 
{ 
  // prints value unaltered, first will be '!' 
  printf("%c", number);
  //Serial.print(number, BYTE);    

  // prints value as string in decimal (base 10) 
  printf(", dec: %u",number);
  //Serial.print(", dec: "); 
  //Serial.print(number);          
  
  // prints value as string in hexadecimal (base 16
  printf(", hex: 0x%x",number);
  //Serial.print(", hex: "); 
  //Serial.print(number, HEX);     ) 
  
  // prints value as string in octal (base 8) 
  printf(", oct: %o",number);
  //Serial.print(", oct: "); 
  //Serial.print(number, OCT);     
     
  // prints value as string in binary (base 2) 	 
  //Serial.print(", bin: "); 
  //Serial.println(number, BIN);   
  // Oh darn, we can't do this with printf so we'll 
  // wait a while and write a special function.
	 
	  
   // also prints ending line break
   printf("\n");                   
 
  // if printed last visible character '~' #126 ... 
  if(number == 126) { 
    // loop forever 
    while(1){//true) { 
      continue; 
    } 
  } 
  // to the next character
  number++;  

  // allow some time for the Serial data to be sent
  delay(100);  
} 

