// AnalogInput
// mostly 'borrowed' from the Arduino example

#include "libACW001.h"

// select the input pin for the potentiometer
int potPin = 0;
// select the pin for the LED
int ledPin = 13;   
// variable to store the value from the sensor

int val = 0; 
int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}   

void setup()
{
  // declare the ledPin as an OUTPUT
  pinMode(ledPin, OUTPUT);  
}

void loop()
{
  // read the value from the sensor
  val = analogRead(potPin);    
  // turn the ledPin on
  digitalWrite(ledPin, HIGH);  
  // stop the program for some time
  delay(val);                  
  // turn the ledPin off
  digitalWrite(ledPin, LOW);   
  // stop the program for some time
  delay(val);                  
}
